View Issue Details

IDProjectCategoryView StatusLast Update
0012872CentOS-6yumpublic2018-10-10 15:52
Reporterjekader 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSCentOSOS Version6.8
Product Version6.8 
Target VersionFixed in Version 
Summary0012872: yum-3.2.29-75.el6.centos
Descriptionyum from CentOS 6 prints links to Red Hat Customer portal if a repo is unreachable:

(17/27): python-devel-2.6.6-66.el6_8.x86_64.rpm | 173 kB 00:00
https://mirror.hmc.edu/epel/6/x86_64/python-pip-7.1.0-1.el6.noarch.rpm: [Errno 14] Peer cert cannot be verified or peer cert invalid
Trying other mirror.
It was impossible to connect to the Red Hat servers.
This could mean a connectivity issue in your environment, such as the requirement to configure a proxy,
or a transparent proxy that tampers with TLS security, or an incorrect system clock.
Please collect information about the specific failure that occurs in your environment,
using the instructions in: https://access.redhat.com/solutions/1527033 and open a ticket with Red Hat Support.
Steps To Reproduce1) install yum-3.2.29-75.el6.centos on CentOS 6 (latest version avaiable as of this writing)

2) grep "Red Hat" /usr/lib/python2.6/site-packages/yum/constants.py
Additional InformationI see a patch removing these messages for CentOS 7:
https://git.centos.org/commit/rpms!yum.git/6a5fbe17c40b864160f3cc9f84437290fe2b195c

A similar one needs to be applied to CentOS 6 as well as not to direct users to access a page that is behind a paywall.
TagsNo tags attached.

Activities

toracat

toracat

2018-10-09 20:42

manager   ~0032884

yum-3.2.29-81.el6.centos still has the same issue.

================================================================
To address this issue please refer to the below knowledge base article

https://access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please open a ticket with Red Hat Support.
================================================================
toracat

toracat

2018-10-09 20:47

manager   ~0032885

c7 patch:

https://git.centos.org/commitdiff/rpms!yum.git/b689c6dd8f24f39b0ac8b1766d18e8354c68c526
JohnnyHughes

JohnnyHughes

2018-10-10 14:48

administrator   ~0032898

fix in version:

yum-3.2.29-81.el6.centos.0.1.noarch.rpm

Issue History

Date Modified Username Field Change
2017-02-23 17:15 jekader New Issue
2018-10-09 20:42 toracat Status new => assigned
2018-10-09 20:42 toracat Note Added: 0032884
2018-10-09 20:47 toracat Note Added: 0032885
2018-10-10 14:48 JohnnyHughes Status assigned => resolved
2018-10-10 14:48 JohnnyHughes Resolution open => fixed
2018-10-10 14:48 JohnnyHughes Note Added: 0032898